{"title":"Get purchaseCreditMemos","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemo_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemo_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemo_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a purchase credit memo object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":98,"chars":218},{"level":2,"title":"Request headers","slug":"request-headers","at":316,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":388,"chars":61},{"level":2,"title":"Response","slug":"response","at":449,"chars":130},{"level":2,"title":"Example","slug":"example","at":579,"chars":1789},{"level":2,"title":"Related information","slug":"related-information","at":2368,"chars":295}],"text":"Retrieves the properties and relationships of a purchase credit memo object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/purchaseCreditMemos({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a purchaseCreditMemo object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseCreditMemos({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"a6c93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"number\": \"PCM-00428\",\n    \"creditMemoDate\": \"2025-04-15\",\n    \"postingDate\": \"2025-04-15\",\n    \"dueDate\": \"2025-05-15\",\n    \"vendorId\": \"e8d93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"vendorNumber\": \"V-0452\",\n    \"vendorName\": \"Woodgrove Distribution\",\n    \"payToVendorId\": \"e8d93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"payToVendorNumber\": \"V-0452\",\n    \"payToName\": \"Woodgrove Distribution\",\n    \"buyFromAddressLine1\": \"7890 Commercial Way\",\n    \"buyFromAddressLine2\": \"Building 3\",\n    \"buyFromCity\": \"Seattle\",\n    \"buyFromCountry\": \"US\",\n    \"buyFromState\": \"WA\",\n    \"buyFromPostCode\": \"98052\",\n    \"payToAddressLine1\": \"PO Box 1234\",\n    \"payToAddressLine2\": \"\",\n    \"payToCity\": \"Seattle\",\n    \"payToCountry\": \"US\",\n    \"payToState\": \"WA\",\n    \"payToPostCode\": \"98055\",\n    \"shortcutDimension1Code\": \"SALES\",\n    \"shortcutDimension2Code\": \"WEST\",\n    \"currencyId\": \"d8d93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"currencyCode\": \"USD\",\n    \"paymentTermsId\": \"c8d93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"shipmentMethodId\": \"b8d93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"purchaser\": \"JS\",\n    \"pricesIncludeTax\": false,\n    \"discountAmount\": 50.00,\n    \"discountAppliedBeforeTax\": true,\n    \"totalAmountExcludingTax\": 950.00,\n    \"totalTaxAmount\": 76.00,\n    \"totalAmountIncludingTax\": 1026.00,\n    \"status\": \"Open\",\n    \"lastModifiedDateTime\": \"2025-04-15T14:22:18Z\",\n    \"invoiceId\": \"b6c93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"invoiceNumber\": \"INV-00892\",\n    \"vendorReturnReasonId\": \"a8d93b42-89a1-ed11-94cc-000d3a2feca1\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchasecreditmemo\ndynamics_purchasecreditmemo_delete\nPOST purchaseCreditMemo<dynamics_purchasecreditmemo_create>\nPATCH purchaseCreditMemo<dynamics_purchasecreditmemo_update>"}